# Only store static parameters in this file

parameters:
    locale: 'fr'

    # Env variables
    # Re declared in order to use ParameterBagInterface in DI
    APP_DEFAULT_REFERENT: "%env(APP_DEFAULT_REFERENT)%"
    APP_URL: '%env(APP_URL)%'
    env(APP_URL): "http://localhost"

    # DPO
    APP_DPO_ADDRESS_CITY: '%env(APP_DPO_ADDRESS_CITY)%'
    APP_DPO_ADDRESS_STREET: '%env(APP_DPO_ADDRESS_STREET)%'
    APP_DPO_ADDRESS_ZIP_CODE: '%env(APP_DPO_ADDRESS_ZIP_CODE)%'
    APP_DPO_CIVILITY: '%env(APP_DPO_CIVILITY)%'
    APP_DPO_FIRST_NAME: '%env(APP_DPO_FIRST_NAME)%'
    APP_DPO_LAST_NAME: '%env(APP_DPO_LAST_NAME)%'
    APP_DPO_COMPANY: '%env(APP_DPO_COMPANY)%'
    APP_DPO_JOB: '%env(APP_DPO_JOB)%'
    APP_DPO_MAIL: '%env(APP_DPO_MAIL)%'
    APP_DPO_PHONE_NUMBER: '%env(APP_DPO_PHONE_NUMBER)%'

    # PROVIDER & LOGO configuration
    APP_FOOTER_PROVIDER_NAME: '%env(APP_FOOTER_PROVIDER_NAME)%'
    APP_FOOTER_PROVIDER_URL: '%env(APP_FOOTER_PROVIDER_URL)%'
    APP_IMAGE_FAVICON_PATH: '%env(APP_IMAGE_FAVICON_PATH)%'
    APP_IMAGE_SIDEBAR_BOTTOM_TARGET_URL: '%env(APP_IMAGE_SIDEBAR_BOTTOM_TARGET_URL)%'
    APP_IMAGE_SIDEBAR_BOTTOM_PATH: '%env(APP_IMAGE_SIDEBAR_BOTTOM_PATH)%'
    APP_IMAGE_SIDEBAR_REDUCED_PATH: '%env(APP_IMAGE_SIDEBAR_REDUCED_PATH)%'

    #Max file upload size
    APP_MAX_UPLOAD_SIZE: '%env(APP_MAX_UPLOAD_SIZE)%'

    #Show notification icon in header
    APP_ACTIVATE_NOTIFICATIONS: '%env(bool:APP_ACTIVATE_NOTIFICATIONS)%'
    APP_INACTIVE_USER_NOTIFICATION_DELAY_DAYS: '%env(APP_INACTIVE_USER_NOTIFICATION_DELAY_DAYS)%'
    APP_REQUEST_NOTIFICATION_DELAY_DAYS: '%env(APP_REQUEST_NOTIFICATION_DELAY_DAYS)%'
    APP_SURVEY_NOTIFICATION_DELAY_DAYS: '%env(APP_SURVEY_NOTIFICATION_DELAY_DAYS)%'
    APP_NOTIFICATION_DASHBOARD_SHOWN: '%env(APP_NOTIFICATION_DASHBOARD_SHOWN)%'
    APP_NOTIFICATION_DASHBOARD_NUMBER: '%env(APP_NOTIFICATION_DASHBOARD_NUMBER)%'
    APP_NOTIFICATION_HEADER_NUMBER: '%env(APP_NOTIFICATION_HEADER_NUMBER)%'
    APP_NOTIFICATION_EMAIL_FIRST_LINE: '%env(APP_NOTIFICATION_EMAIL_FIRST_LINE)%'
    APP_LOG_JOURNAL_DURATION: '%env(APP_LOG_JOURNAL_DURATION)%'

    APP_USER_DASHBOARD_ACTION_PLAN_LIMIT: '%env(APP_USER_DASHBOARD_ACTION_PLAN_LIMIT)%'

    DEFAULT_SSO_TYPE:
    SSO_TYPE: '%env(default:DEFAULT_SSO_TYPE:OAUTH_TYPE)%'
    DEFAULT_SSO_KEY_FIELD: 'sub'
    SSO_KEY_FIELD: '%env(default:DEFAULT_SSO_KEY_FIELD:SSO_KEY_FIELD)%'
